package simulator

// Constants used in the simulator
const numConnectionTypes int = 3
const defaultThreshold = 5       // [m]
const defaultSimulationTime = 60 // [simulated seconds/real seconds]
const defaultFrequency = 434e6   // [Hz]
const defaultSeed = "Never Cry Shitwolf"

const defaultSensorSensitivity = -60.0      // [dB]
const defaultSensorTransmissionPower = 10.0 // [dBm]
const defaultSensorEnergyConsumption = 2.0  // [mWh/byte] (?)
const defaultSensorPayloadSize = 2          // [byte]
const defaultSensorAddressSize = 2          // [byte]
const defaultSensorStartInterval = 10       // [s]
const defaultSensorSendingInterval = 15     // [minutes]
const defaultSensorWaitingTime = 1          // [minutes]
const defaultSensorCiphertextSize = 2       // number of characters
const defaultSensorDataRate = 500e3         // [bit/s]
const defaultSensorMaxAttempts = 3          // number of attempts

const defaultBoostCost = 8 // times more than standard
const defaultBitCost = 1   // no increase, just equation

const defaultGatewaySensitivity = -60.0      // [dB]
const defaultGatewayTransmissionPower = 10.0 // [dBm]
const defaultWindowSize = 1                  // number of messages
const defaultBlockProbability = 20           // %
const defaultDynamicLoss = 10                // %

const defaultMinimumEnergyImprovement = 1.1        // 1.1 times better
const defaultMinimumSignalStrengthDifference = 3.0 // dB
const defaultMinimumReliabilityImprovement = 0.05  // fraction
const defaultWeightUplink = 0.5                    // fraction
const defaultWeightDownlink = 0.5                  //fraction

var defaultSensorTransmissionSteps = [...]float64{0, 3, 6, 10} // [dBm]
