import matplotlib.pyplot as plt
from matplotlib import rc


# Sensitivity: -50dB
y = [0,0,3,3,6,6,10,10,10] #dB,
x = [0,49,49,52,52,55,55,60,70] #dB

y2 = [0]*50 + [3]*3 + [6]*3 + [10]*15
x2 = range(0,71)
received = [y_val - x_val for y_val, x_val in zip(y2,x2)]

# LaTeX fonts :-)
rc('font', **{'family': 'serif', 'serif': ['Computer Modern'], 'size': 12})
rc('text', usetex=True)

#plt.tick_params(
#  axis='both',
#  which='both',
#  bottom='off',
#  top='off',
#  left='off',
#  right='off',
#  labelbottom='off',
#  labelleft='off'
#)

fig = plt.figure(figsize=(6.53, 3.5))

ax1 = fig.add_subplot(2,1,1)
ax1.set_title('Transmission Power Control')
ax1.plot(x,y,color='indianred', label='Transmitted Power')

ax1.set_ylabel('Transmission\nPower [dBm]')
ax1.axis([0, 70, -1, 11])
ax1.grid()

#ax1.set_xticks(index)


#ax2 = fig.add_subplot(2,1,2, sharex=ax1)
ax2 = fig.add_subplot(2,1,2)
ax2.plot(received, label='Received Power')
ax2.plot([0,70],[-50,-50], color='black')
ax2.set_ylabel('Received\nPower [dBm]')
ax2.set_xlabel('Free Space Path Loss [dB]')
ax2.axis([0, 70, -60, 1])


ax1.set_xticklabels(([""]))

plt.savefig('tpc.pdf', bbox_inches='tight')
