package main

import (
	"github.com/orjansv/master-code/benchmark"
	"github.com/orjansv/master-code/simulator"
	"github.com/orjansv/master-code/simulator/cloud"
	"github.com/orjansv/master-code/simulator/watchdog"
)

type runSettings struct {
	plot            bool
	verbose         int
	timesToSimulate int
	filename        string
	benchmark       bool
	saveMessages    bool
}

// GridsJSON is the top object for holding grids for plotting.
type GridsJSON struct {
	Grids []simulator.GridJSON
	Title string
}

// SimulationEnergyInfo holds energy info for one simulation.
type SimulationEnergyInfo struct {
	Grid       int
	Iteration  int
	Method     string
	EnergyInfo watchdog.EnergyStats
}

// MessagesJSON is used to hold all messages from all simulations before writing to file.
type MessagesJSON struct {
	MessageSets []MessageSet
}

// MessageSet holds all messages for one simulation.
type MessageSet struct {
	Messages        cloud.JSONTop
	Method          string
	Grid, Iteration int
}

// BenchmarkJSON is the top level struct for benchmark results.
type BenchmarkJSON struct {
	Benchmarks []benchmark.Benchmark
	Title      string
}
